Update to the current version of firefox (3.7) Rated 4 out of 5 stars

Please update this to allow use with the current version of firefox. I have used this addon in the past and it works great. But I recently updated firefox and would like to use this addon. Thanks for your help and support.